# Time

`Time` is a Swift package for conveniently and easily performing calendrically correct date-and-time calculations.

The documentation is divided into three main sections:

## Overview

1. [Motivation](1-Overview/1-Motivation.md)

    Why `Time` was created, and what problems it's trying to solve.

2. [Roadmap](1-Overview/2-Roadmap.md)

    Features that `Time` will be gaining in the future.

3. [Goals](1-Overview/3-Goals.md)

    The goals (and non-goals) of `Time`.

4. [Inspiration](1-Overview/4-Inspiration.md)

    Other pieces of code that inspired `Time`'s implementation.

## Usage

1. [Core Concepts](2-Usage/1-Concepts.md)
2. [The `Clock` Type](2-Usage/2-Clock.md)
3. [The `TimePeriod` Type](2-Usage/3-TimePeriod.md)
4. [Adjusting `TimePeriods`](2-Usage/4-Adjusting.md)
5. [Finding Differences Between `TimePeriods`](2-Usage/5-Differences.md)
6. [Iterating over `TimePeriods`](2-Usage/6-Iteration.md)
7. [Formatting `TimePeriods`](2-Usage/7-Formatting.md)

## Gotchas

1. [Addition](3-Gotchas/1-Addition.md)
